<?php
/******************************************************************************
* Ignore.php                                                                  *
*******************************************************************************
* SMF: Simple Machines Forum - MOD                                            *
*                                                                             *
* =========================================================================== *
* Software Version:           SMF 1.4 - MOD                                   *
* Software by:                Rudolf Martincsek                               *
* Copyright 2006 by:          Rudolf Martincsek                               *
*******************************************************************************
* This mod is free software; you may redistribute it and/or modify it as long *
* as you credit me for the original mod. This mod is distributed in the hope  *
* that it is and will be useful, but WITHOUT ANY WARRANTIES; without even any *
* implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.    *
*                                                                             *
* All SMF copyrights are still in effect. Anything not mine is theirs. Enjoy! *
******************************************************************************/
if (!defined('SMF'))
	die('Hacking attempt...');

if(!function_exists('stripos'))
{
   function stripos($haystack,$needle,$offset = 0)
   {
     return(strpos(strtolower($haystack),strtolower($needle),$offset));
   }
}

function Ignore()
{

global $ID_MEMBER, $db_prefix, $context;
  // No Guests!
  is_not_guest();

  //Do nothing if no user set
  if (!(isset($_REQUEST['u']) && is_numeric($_REQUEST['u']))) redirectexit(isset($_REQUEST['topic']) ? 'topic=' . $_REQUEST['topic'] . '.0':'');

   //Ignore selected user
   //Update the row: remove the id from the list, and add to the end
   // - Done this way because it's more compact, the whole operation is one SQL query without any PHP processing.
   db_query("UPDATE IGNORE {$db_prefix}members
   			SET ign_ignore_list = REPLACE(CONCAT(',',ign_ignore_list,','),',{$_REQUEST['u']},',','),
			ign_ignore_list = TRIM(',' FROM REPLACE(CONCAT(ign_ignore_list,',{$_REQUEST['u']}'),',,',','))
			WHERE ID_MEMBER = $ID_MEMBER", __FILE__, __LINE__);

//back to the topic
redirectexit(isset($_REQUEST['topic']) ? 'topic=' . $_REQUEST['topic'] . (isset($_REQUEST['msg']) ? '.msg' . (int) $_REQUEST['msg'] . '#msg'. (int) $_REQUEST['msg'] :'') : '');
}

function unIgnore()
{
global $ID_MEMBER, $db_prefix;
	// No Guests!
	is_not_guest();

  //Do nothing if no user set
  if (!(isset($_REQUEST['u']) && is_numeric($_REQUEST['u']))) redirectexit(isset($_REQUEST['topic']) ? 'topic=' . $_REQUEST['topic'] . '.0':'');

   //Ignore selected user
   //Update the row: remove the id from the list, and add to the end
   // - Done this way because it's more compact, the whole operation is one SQL query without any PHP processing.
   db_query("UPDATE IGNORE {$db_prefix}members
   			SET ign_ignore_list = REPLACE(CONCAT(',',ign_ignore_list,','),',{$_REQUEST['u']},',','),
			ign_ignore_list = TRIM(',' FROM REPLACE(ign_ignore_list,',,',','))
			WHERE ID_MEMBER = $ID_MEMBER", __FILE__, __LINE__);

//back to the topic
redirectexit(isset($_REQUEST['topic']) ? 'topic=' . $_REQUEST['topic'] . (isset($_REQUEST['msg']) ? '.msg' . (int) $_REQUEST['msg'] . '#msg'. (int) $_REQUEST['msg'] :'') : '');
}
?>
